% lu1.m
% fd, iacs, 04 septembre  2004
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
'Factorisation L*U d une matrice tridiagonale' ,  pause
n=15
%   reservation de place memoire pour stocker les vecteurs
a=zeros(n+1,1) ; b=zeros(n,1) ; c=zeros(n,1);
al=zeros(n+1,1); be=zeros(n,1); ga=zeros(n,1);
%   donnees pour les splines cubiques
a(1:1,1)=2 ; 
for i=2:n; a(i:i,1)=4 ; end ; 
a(n+1:n+1)=2 ; 
for i=1:n; b(i:i,1)=1 ;  c(i:i,1)=1 ; end ;      
%   algorithme L*U
al(1:1,1)=a(1:1,1) ; 
for i=1:n ;
be(i:i,1)=b(i:i,1) ; 
ga(i:i,1)=c(i:i,1)/ al(i:i,1) ; 
al(i+1:i+1,1)=a(i+1:i+1,1) - ga(i:i,1)*be(i:i,1) ; 
end ;     
%   affichage
al , pause 
be , pause
ga





